'use strict'
module.exports = (sequelize, DataTypes) => {
  const HWInfo = sequelize.define('HWInfo', {
    id: {
      type: DataTypes.INTEGER,
      primaryKey: true,
      autoIncrement: true,
      allowNull: false,
      field: 'id'
    },
    info: {
      type: DataTypes.TEXT,
      defaultValue: ' ',
      field: 'info'
    }
  }, {
    // add the timestamp attributes (updatedAt, createdAt)
    tableName: 'HWInfos',
    timestamps: true,
    underscored: true
  })
  HWInfo.associate = function (models) {
    HWInfo.belongsTo(models.Fog, {
      foreignKey: {
        name: 'iofogUuid',
        field: 'iofog_uuid'
      },
      as: 'iofog',
      onDelete: 'cascade'
    })
  }
  return HWInfo
}
